<?php
/**
 * Plugin Name: ACF for Woocommerce
 * Plugin URI:  http://catsplugins.com
 * Description: A plugin to integrate ACF with WooCommerce
 * Version:     3.2
 * Author:      پرشین اسکریپت
 * Author URI:  http://persianscript.ir
 * License: GNU General Public License, version 3 (GPL-3.0)
 * License URI: http://www.gnu.org/copyleft/gpl.html
 * Text Domain: acf-woo
 * Domain Path: /languages
 */

require_once plugin_dir_path(__FILE__) . 'includes/core/class-acf-woo-singleton.php';
class ACF_Woo_Launcher extends ACF_Woo_Singleton {
    protected function __construct() {
        require_once $this->plugin_dir_path('includes/core/class-acf-woo-main.php');
    }

    public function plugin_dir_path($path) {
        return plugin_dir_path(__FILE__) . $path;
    }
    public function plugin_dir_url($path) {
        return plugin_dir_url(__FILE__) . $path;
    }
}

// https://www.advancedcustomfields.com/resources/google-map/

// add_action('plugins_loaded', 'my_coupon_init');

// function my_coupon_init() {
  // ACF_Woo_Launcher::get_instance(); 
  // if ( class_exists('WC_Coupon') ) {
	
  // } else {
  //   add_action('admin_notices', 'wc_not_loaded');
  // }
// }

// function wc_not_loaded() {
//     printf(
//       '<div class="error"><p>%s</p></div>',
//       __('Sorry cannot create coupon because WooCommerce is not loaded')
//     );
// }

ACF_Woo_Launcher::get_instance(); 
//check advanced custome and woo ecommerce is active
//is pro